"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ajv_1 = __importDefault(require("ajv"));
const chalk_1 = __importDefault(require("chalk"));
const config_1 = __importStar(require("../config"));
const readExtraConfig_1 = __importDefault(require("../util/readExtraConfig"));
const configSchema = {
    type: "object",
    properties: {
        routerEntry: { type: "string" },
        iconRoot: { type: "string" },
        iconTarget: { type: "string" },
        templateFile: { type: "string" },
        prefix: { type: "string" },
        svgr: {
            type: "object",
            properties: {
                platform: { type: "array", items: { type: "string" } },
                filter: { type: "string" },
            },
            required: ["platform"],
        },
        templates: {
            type: "array",
            items: {
                type: "object",
                properties: {
                    fileType: { type: "string" },
                    templateFile: { type: "string" },
                },
            },
        },
    },
    additionalProperties: false,
};
const ajv = new ajv_1.default();
const iconConfigValidate = ajv.compile(configSchema);
const codegenConfigPath = "./.codegen/config.json";
function readConfig() {
    const codegenConfig = (0, readExtraConfig_1.default)(codegenConfigPath);
    if (iconConfigValidate(codegenConfig)) {
        return (0, config_1.addToConfig)(codegenConfig);
    }
    else {
        console.log(chalk_1.default.red(`🔥 配置项错误 `), JSON.stringify(iconConfigValidate.errors));
    }
    return config_1.default;
}
exports.default = readConfig;
